This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 220759 - Review Request: pdfcube - PDF viewer with a spinning cube
Review Request: pdfcube - PDF viewer with a spinning cube
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-25 18:49 EST by Mads Villadsen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 16:43:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2006-12-25 18:49:01 EST
Spec URL: http://krakoa.dk/fedora/pdfcube.spec
SRPM URL: http://krakoa.dk/fedora/pdfcube-0.0.2-1.src.rpm
Description: PDF Cube is an OpenGL API-based PDF viewer that adds a
compiz/Keynote-like spinning cube trasition effect to your PDF
presentations (including Latex, Beamer and Prosper). You can also zoom
on 5 predefined areas of any presentation page with a smooth zooming
effect.


rpmlint gives no errors. However I am not entirely happy about explicitly stating /usr/bin/pdfcube in the files section. Is that the right way to do it?
Comment 1 Michael Schwendt 2006-12-25 19:03:06 EST
Normally, you would use

  %{_bindir}/pdfcube

or

  %{_bindir}/*

instead of hardcoding /usr/bin.

$ rpm --eval %_bindir
/usr/bin
Comment 2 Mads Villadsen 2006-12-25 19:17:46 EST
By the way this is my first package.

I have uploaded a new version which uses %{_bindir}.

New SRPM: http://krakoa.dk/fedora/pdfcube-0.0.2-2.src.rpm

The new spec file has the same url as the old one.
Comment 3 Mads Villadsen 2006-12-25 19:20:38 EST
Adding FE-NEEDSSPONSOR as per
http://fedoraproject.org/wiki/Extras/Contributors#head-350f978b25c60398e0d16100bb3da317c1fd18c3
Comment 4 Sam Varshavchik 2006-12-28 22:40:27 EST
Package built and installed fine, but:

1. pdfcube does not appear to be fully mature.  On my laptop compiz works fine.
 Since I cannot run pdfcube directly from gnome (see #2), with this package, I
have to start it from gnome-terminal.  pdfcube runs, and shows a portion of the
first page in the PDF file in full screen mode.  The pdf is of a legal-sized
document, so I only see the top half of the tall page.  pgup and pgdn seems to
advance to the next/prev page, still showing the top-half of the page.  Tried to
figure out how to reduce magnification, to fit the entire page on the screen,
with no luck.

There was no documentation in the package, so I went to the project home's page,
and found some documentation.  Despite the claims on the project's web site, the
cube transition result in some visible, and rather annoying, display flicker
from me.  Furthermore, the zoom keys only zoom in on parts of the visible page,
and I still can't find a way to view the bottom half of the pdf page.  This
appears to be a bug, and the software does not appear to handle pdf files of
arbitrary page size.

Additionally, running pdfcube from gnome-terminal, a "corrupted shadow" of the
gnome-terminal window, that pdfcube gets started from, is overlayed on top of
the pdf page, and it remains on top when I flip between the pages.  On a hunch,
I ran "sleep" in the shell, before starting pdfcube, and minimized the
gnome-terminal window while it slept.  That got rid of the diplay corruption.

2. Package did not install a desktop file.  So, there's no way to run pdfcube
from gnome, except indirectly from firefox, and manually overriding the default
handler (evince, or xpdf) and manually typing /usr/bin/pdfcube.

An application file should be added to the package.  Look at
/usr/share/applications/evince.desktop, and create a similar file and add it to
the package.  You can try looking for a generic icon present in the base gnome
install, and use it as an icon for this package, or quickly hack something up
yourself.

Doing this should result in pdfcube being runnable from the Gnome menu, and
Firefox should then offer pdfcube as an option for viewing PDF files.

But the first issue with this package is much more serious, IMHO.
Comment 5 Mads Villadsen 2006-12-29 03:00:39 EST
1. It is stated on the website (and in the packaged documentation) that pdfcube
is alpha software, so yes it is probably a bit buggy.

However since it is specifically made only for showing presentations it is a
design feature that it only shows the top half of a page. PDF files should be
made  using LaTeX, Beamer, etc.

2. pdfcube is (for the time being at least) a commandline application, so
therefore I didn't think to add a .desktop file.

I haven't been able to find a Fedora Extras policy for whether or not the create
.desktop files for commandline applications. I guess it could be done using a
.desktop file that only sets the mime type for pdf, and is otherwise hidden.

So in short: pdfcube might be a bit buggy, but it is a specialized pdf-viewer
for presentations. And it is a commandline application.

Maybe I should change the short description to: PDF presentation viewer with a
spinning cube?
Comment 6 Mads Villadsen 2006-12-29 03:39:23 EST
Just an additional comment: There does some to be a bug in compiz (or maybe en
pdfcube - but it works fine with metacity) that gives some weird shadow effects.
But that shouldn't prevent packaging.
Comment 7 Mamoru TASAKA 2007-01-09 08:01:20 EST
Well,
* Licensing/Documentation
  Please add AUTHORS COPYING (adding these files are rather
  mandatory, if these files exist)

* Source
  Specify URL.

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to formally review other 
submitters' review request and approve the packages. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is descriped
on :
http://fedoraproject.org/wiki/Extras/HowToGetSponsored


Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" (at the time you are not sponsored, you cannot do
   a formal review) of other person's review request.

When you submitted a new review request or have pre-reviewed other person's
review request, please write the bug number on this bug report so that I
can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to review
can be checked on:
https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

Well, I am a sponsor so I can sponsor you.
Then I found another your review request (bug 221045), however
the packaging of both two packages seems somewhat easy, so
I want you to do a pre-review of other person's review request
before I sponsor you (if you want me to sponsor you).
Comment 8 Mads Villadsen 2007-01-13 17:39:50 EST
I have uploaded a new version which adds COPYING and AUTHORS files, and adds URL
to Source0 (as per review request).

New SRPM: http://krakoa.dk/fedora/pdfcube-0.0.2-3.src.rpm

The new spec file has the same url as the old one.
Comment 9 Mamoru TASAKA 2007-01-14 12:53:30 EST
Well, for pdfcube 0.0.2-3, there is no problem
as this is rather easy to package.

So, as said in comment 7, would you do a pre-review of
other person's review request?
Comment 10 Mads Villadsen 2007-01-14 17:41:05 EST
Sure. I have already done two (well more like one and a "doesn't build in
mock"-comment). #222043 and #222087.

But I'm still watching the fedora-package-review list for new request, and then
I try to jump in when I have the time (and when someone else hasn't scooped me :-))
Comment 11 Mamoru TASAKA 2007-01-15 13:49:12 EST
Well,

* This package is okay
* Your another package seems okay, at least to some degree
  (I have not checked fully. Maybe other person will review
   it)
* And.. now I trust that you can review other person's review
  request.

------------------------------------------------------
   This package (pdfcube) is APPROVED by me
------------------------------------------------------
Please step forward according to
http://fedoraproject.org/wiki/Extras/Contributors .

At a stage, I will receive a mail which notices that you need
a sponsor. Then I will sponsor you.
Comment 12 Mamoru TASAKA 2007-01-25 11:02:32 EST
What is the status of this bug?
Any problem on importing this package to buildsys?
Comment 13 Mads Villadsen 2007-01-25 13:11:02 EST
I imported it into CVS, and I am now waiting for an FC6 branch to be created
before requesting a build (http://fedoraproject.org/wiki/Extras/CVSSyncNeeded).

Isn't that the correct way to proceed?
Comment 14 Mamoru TASAKA 2007-01-25 13:20:17 EST
Well, please first try if this package can be rebuilt
on FE-devel.

When it succeeds, I usually close my review request as "CLOSED
NEXTRELEASE" after I request for SyncNeeded.

Note You need to log in before you can comment on or make changes to this bug.